Bug 63626 - /dev/zero not created by default on RHL 7.2
Summary: /dev/zero not created by default on RHL 7.2
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dev (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-16 15:07 UTC by Glen A. Foster
Modified: 2016-10-10 18:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-24 22:16:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Glen A. Foster 2002-04-16 15:07:52 UTC
Description of Problem: The character-special file /dev/zero is not created by
default at install-time (although MAKEDEV knows how to create it).  This
violates the LSB-FHS requirements for entries in /dev.

Version-Release number of selected component (if applicable):
# rpm -q dev
dev-3.2-5

How Reproducible: 100%

Steps to Reproduce:
1. Install LSB tests
2. Run the LSB-FHS tests

Actual Results:
test-script labelled "/LSB.fhs/linux/dev/dev-tc" fails on case #47:

400|47 5 1 16:35:39|IC Start
200|47 5 16:35:39|TP Start
520|47 5 3997 1 1|Reference 6.1.3-5(A)
520|47 5 3997 1 2|The /dev/zero  device exists with
520|47 5 3997 1 3|major number 1 and minor number 5
520|47 5 3997 1 4|exit code 1 returned, expected 0
220|47 5 1 16:35:39|FAIL
410|47 5 1 16:35:39|IC End

Expected Results: Test should pass

Additional Information: Running latest LSB tests available from opengroup.org

Comment 1 Glen A. Foster 2003-01-24 22:16:36 UTC
Closing after 9 months of inactivity.

Comment 2 Nir Soffer 2016-10-10 18:30:26 UTC
Patch is not related.


Note You need to log in before you can comment on or make changes to this bug.